---
title: Supply API
slug: api/supply-api
docTags: 
createdAt: 2022-08-05T17:23:19.000Z
---

## total - Query the total supply of tokens

### parameter

no

### return value

Return a JSON object, the structure is as follows：

- height: Block height
- result\:result
  - denom: Token name
  - amount: Total tokens

### Sample code

request：

```curl
curl -X GET 'https://rpc.block.caduceus.global:8545/supply/total'
```

response：

```json
{
    "height": "2366",
    "result": [
        {
            "denom": "coin0",
            "amount": "1000000000000000000"
        },
        {
            "denom": "coin1",
            "amount": "1000000000000000000"
        },
        {
            "denom": "coin2",
            "amount": "1000000000000000000"
        },
        {
            "denom": "coin3",
            "amount": "1000000000000000000"
        },
        {
            "denom": "coin4",
            "amount": "1000000000000000000"
        },
        {
            "denom": "hcoin",
            "amount": "100000995526916900910884159"
        }
    ]
}

```

## total/coin - Query the supply of a specified token

### parameter

no

### return value

Return a JSON object, the structure is as follows：

- height: Block height
- result: Total tokens

### Sample code

request：

```javascript
curl -X GET 'https://rpc.block.caduceus.global/supply/total-coin/hcoin'
```

response：

```json
{
    "height": "2556",
    "result": "100001075503930823270200350"
}

```

##

